Bug 1012582 - (CVE-2013-4371) CVE-2013-4371 xen: use-after-free in libxl_list_cpupool under memory pressure (XSA-70)
CVE-2013-4371 xen: use-after-free in libxl_list_cpupool under memory pressure...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20131010,repo...
: Security
Depends On: 1017843
Blocks: 1012558
  Show dependency treegraph
 
Reported: 2013-09-26 12:38 EDT by Vincent Danen
Modified: 2016-03-04 07:55 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 12:39:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-09-26 12:38:35 EDT
If realloc(3) fails then libxl_list_cpupool will incorrectly return
the now-free original pointer.

An attacker may be able to cause a multithreaded toolstack using this
function to race against itself leading to heap corruption and a
potential DoS.

Depending on the malloc implementation code execution cannot be ruled
out.


Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 1 Vincent Danen 2013-09-26 12:39:09 EDT
Statement:

Not vulnerable.

This issue does not affect the versions of the xen package as shipped with Red Hat Enterprise Linux 5 as it does not provide support for the libxl toolstack.

This issue does not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2.
Comment 2 Vincent Danen 2013-10-10 11:40:19 EDT
External References:

http://xenbits.xen.org/xsa/advisory-70.html
Comment 3 Vincent Danen 2013-10-10 11:41:58 EDT
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1017843]

Note You need to log in before you can comment on or make changes to this bug.